package net.knarcraft.ffmpegconverter.converter.module.hardwarecoding;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for enabling h264 and hevc decoding
 */
public class H26XDecodeModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addInputFileOption("-hwaccel", "cuda");
        command.addInputFileOption("-hwaccel_output_format", "cuda");
    }

}
